org.apache.tinkerpop.gremlin.process.traversal.lambda

## Class ColumnTraversal

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.lambda.AbstractLambdaTraversal
  - - org.apache.tinkerpop.gremlin.process.traversal.lambda.ColumnTraversal

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator, Traversal, Traversal.Admin

      public final class ColumnTraversal
      extends AbstractLambdaTraversal

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `Traversal.Admin<S,E>, Traversal.Exceptions, Traversal.Symbols`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.lambda.AbstractLambdaTraversal

      `bypassTraversal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnTraversal(Column column)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStart(Traverser.Admin start)` Add a single `Traverser.Admin` object to the head of the traversal.
    `boolean` | `equals(Object other)`
    `Column` | `getColumn()`
    `int` | `hashCode()`
    `Object` | `next()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.lambda.AbstractLambdaTraversal

      `addStep, applyStrategies, clone, getBytecode, getGraph, getParent, getSideEffects, getSteps, getStrategies, getTraverserGenerator, getTraverserRequirements, hasNext, isLocked, nextTraverser, removeStep, reset, setBypassTraversal, setGraph, setParent, setSideEffects, setStrategies`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal.Admin

      `addStarts, addStep, equals, getEndStep, getStartStep, getTraversalSource, getTraverserSetSupplier, removeStep`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `asAdmin, close, explain, fill, forEachRemaining, forEachRemaining, iterate, next, none, profile, promise, toBulkSet, toList, toSet, toStream, tryNext`

    - ### Methods inherited from interface java.util.Iterator

      `remove`

- - ### Constructor Detail

    - #### ColumnTraversal

          public ColumnTraversal(Column column)

  - ### Method Detail

    - #### next

          public Object next()

      Specified by:
        `next` in interface `Iterator`
      Overrides:
        `next` in class `AbstractLambdaTraversal`

    - #### addStart

          public void addStart(Traverser.Admin start)

      Description copied from interface: `Traversal.Admin`
      Add a single `Traverser.Admin` object to the head of the traversal. Users should typically not need to call this method. For dynamic inject of data, they should use `InjectStep`.
      Specified by:
        `addStart` in interface `Traversal.Admin`
      Overrides:
        `addStart` in class `AbstractLambdaTraversal`
      Parameters:
        `start` - a traverser to add to the traversal

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getColumn

          public Column getColumn()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractLambdaTraversal`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `AbstractLambdaTraversal`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.